Skip to main content
POST
Register a destination database

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

connectionId
integer
required

The Notion connection ID

Body

application/json
mode
enum<string>
required

Use "create" to have Synci create a new database under a page you shared with Synci, or "attach" to register an existing database.

Available options:
create,
attach
name
string | null

Optional display name for the database in Synci. Defaults to the database's title in Notion.

Maximum string length: 255
title
string | null

Title for the new database. Only used when mode is "create".

Maximum string length: 255
parent_page_id
string | null

The Notion page to create the database under. Required when mode is "create" unless the connection was set up from the Synci template.

Pattern: ^[0-9a-fA-F]{32}$|^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
Example:

"59833787-2cf9-4fdf-8782-e53db20768a5"

data_source_id
string | null

The Notion data source (database table) to attach. Required when mode is "attach".

Pattern: ^[0-9a-fA-F]{32}$|^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
Example:

"59833787-2cf9-4fdf-8782-e53db20768a5"

header_config
enum<string>[] | null

Optional ordered list of transaction field keys to write as database properties. Omit to use the default set.

Available options:
synci.account_id,
synci.account_name,
mapped.date,
mapped.payee,
mapped.description,
amount,
currency,
booked,
booking_date,
booking_datetime,
value_date,
value_datetime,
balance_after_transaction,
additional_information,
additional_information_structured,
additional_data_structured,
creditor.name,
creditor.iban,
creditor.bban,
creditor.id,
creditor.pan,
creditor.masked_pan,
creditor.msisdn,
creditor.currency,
creditor.agent,
debtor.name,
debtor.iban,
debtor.bban,
debtor.pan,
debtor.masked_pan,
debtor.msisdn,
debtor.currency,
debtor.agent,
ultimate_creditor,
ultimate_debtor,
remittance_information.unstructured,
remittance_information.structured,
remittance_information.unstructured_array,
remittance_information.structured_array,
codes.bank_transaction_code,
codes.merchant_category_code,
codes.proprietary_bank_transaction_code,
codes.purpose_code,
currency_exchange.source_currency,
currency_exchange.exchange_rate,
currency_exchange.unit_currency,
currency_exchange.target_currency,
currency_exchange.quotation_date,
currency_exchange.contract_identification,
external_identifiers.institution_transaction_id,
external_identifiers.integrator_transaction_id,
external_identifiers.end_to_end_id,
external_identifiers.entry_reference,
external_identifiers.check_id,
external_identifiers.mandate_id,
enriched.counterparty_name,
enriched.category_general,
enriched.is_subscription,
enriched.is_personal

Response

The response is of type string.